Package org.eclipse.rdf4j.common.concurrent.locks.diagnostics

## Class LockMonitoring.Wrapper<T extends Lock>

- java.lang.Object
- - org.eclipse.rdf4j.common.concurrent.locks.diagnostics.LockMonitoring.Wrapper<T>

- All Implemented Interfaces:
    `LockMonitoring<T>`
  Enclosing interface:
    LockMonitoring<T extends Lock>

      public static class LockMonitoring.Wrapper<T extends Lock>
      extends Object
      implements LockMonitoring<T>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.common.concurrent.locks.diagnostics.LockMonitoring

      `LockMonitoring.Wrapper<T extends Lock>`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.rdf4j.common.concurrent.locks.diagnostics.LockMonitoring

      `INITIAL_WAIT_TO_COLLECT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Wrapper​(Lock.ExtendedSupplier<T> supplier)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Lock` | `getLock()` |
    `Lock` | `register​(Lock lock)` |
    `Lock` | `tryLock()` |
    `void` | `unregister​(Lock lock)` |
    `T` | `unsafeInnerLock​(Lock lock)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.concurrent.locks.diagnostics.LockMonitoring

      `getLock, requiresManualCleanup, runCleanup`

- - ### Constructor Detail

    - #### Wrapper

          public Wrapper​(Lock.ExtendedSupplier<T> supplier)

  - ### Method Detail

    - #### getLock

          public Lock getLock()
                       throws InterruptedException

      Specified by:
        `getLock` in interface `LockMonitoring<T extends Lock>`
      Throws:
        `InterruptedException`

    - #### tryLock

          public Lock tryLock()

      Specified by:
        `tryLock` in interface `LockMonitoring<T extends Lock>`

    - #### unsafeInnerLock

          public T unsafeInnerLock​(Lock lock)

      Specified by:
        `unsafeInnerLock` in interface `LockMonitoring<T extends Lock>`

    - #### unregister

          public void unregister​(Lock lock)

      Specified by:
        `unregister` in interface `LockMonitoring<T extends Lock>`

    - #### register

          public Lock register​(Lock lock)

      Specified by:
        `register` in interface `LockMonitoring<T extends Lock>`